
Redmine - Feature #13035

Add custom template zones that can be used in themes

2013-01-30 15:07 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

As far as I know it is possible to customize the theme a little bit, css changes are possible etc.

What I miss is an easy to use possibility to add text like you have done it right here in the "new issue" page ("Before submitting a bug

report, please read SubmittingBugs to make sure that you provide all the required information. If you just want to test Redmine, you

can go to the online demo.)

What do you think about html-files, that can include user-defined html snippets, that are automatically included into the redmine html

output if they exist in the themes folder.

For example a new folder could be used:

public/themes/THEMENAME/includes

that could include an

new.htm that is included automatically after the "new issue" headline

news.htm that is included for the news section

same for wiki, forum, project archive, activity view, download, and so on...

Every user would be able to include information into redmine without "hacking" redmine sources (and applying this changes after

every update...).

I hope I could explain my idea to you...

Related issues:

Related to Redmine - Feature #4602: User specific theme New 2010-01-18

History

#1 - 2013-02-03 18:48 - Harry Garrood

I think a plugin might be more appropriate for this -- Redmine already provides view hooks which will do what you want. See 

http://www.redmine.org/projects/redmine/wiki/Plugin_Tutorial#Hooks-in-views

#2 - 2021-06-26 09:56 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Please consider updating the document by adding JavaScript to theme.js or writing a plugin that inserts content using view hooks.

Alternatively, I think using View Customize plugin is also a good idea.
